#Import ggplot2 and other useful ready-made code
library("tidyverse")

########## Part1 A Simple Plot ##########

#Import our 2022 country data
chi22 <- read.csv2("chi22-country.csv",sep=",")

# Plot 1 - A simple plot to get you started
# What happens if you change the 'x' to a 'y' and the 'y' to an 'x'?  
ggplot(data = chi22, mapping = aes(x=Country, y=Pubs)) +
  geom_point()


########## Part 2 Multiple Variables ##########
# Importing additional data
chimbined <- read.csv2("combined-chi.csv",sep=",")

# Plot 2 - A basic plot for you to add a colour aesthetic to
ggplot(data = chimbined, mapping = aes(x=reorder(Country, Pubs), y=Pubs)) +
  geom_point(size=3)

########## Part 3 Mapping Submissions ##########

#Import mapping libraries
library(maps)

# Import the map of the world and add our CHI countries to it
world <- map_data("world")
world$fac <- world$region %in% chi22$Country

#Plot 3a, a simple plot of countries of the world
ggplot(data = world, aes(x=long, y = lat, group = group)) +
  geom_polygon(colour="white")